List all tasks
curl --request GET \
--url https://prod.truv.com/v1/tasks/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/tasks/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/tasks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"status": "done",
"product_type": "income",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "https://cdn.truv.com/providers/adp.svg"
},
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-07T15:30:00Z",
"link_id": "48427a36d43c4d5aa6324bc06c692456",
"user_id": "48427a36d43c4d5aa6324bc06c692456",
"error_message": "Invalid credentials provided",
"tracking_info": "0c8d444ff53947cd822efca7b3d9ef18",
"bridge_token": "2f67984a110747d190c39e1022c81837",
"data_source": "financial_accounts",
"is_suspicious": false,
"order_id": "48427a36d43c4d5aa6324bc06c692456"
}
],
"next": "<string>",
"previous": "<string>"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Tasks
List all tasks
The endpoint returns a list of Tasks.
GET
/
v1
/
tasks
/
List all tasks
Authorizations
Client ID
Client Access Key
Query Parameters
Which field to use when ordering the results. The default is by descending created_at.
Available options:
created_at, -created_at, updated_at, -updated_at, status, -status, error_message, -error_message, provider_id, -provider_id Example:
"created_at"
Filter created_at less than or equal (ISO-8601).
Filter created_at greater than or equal (ISO-8601).
Filter by task status code.
Available options:
done, error, login_error, account_locked, mfa_error, config_error, no_data, unavailable, unable_to_reset, not_supported Example:
"done"
Search query by the following fields: id, link id, bridge token, order group id, tracking info.
Filter by provider id.
Filter by product type.
Available options:
income, employment, deposit_switch, pll, insurance, transactions, assets Example:
"income"
Filter by user id.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?